---
schema_version: "1"
id: 8fa343b1c43eb3566b686bcf2a56929fb40955aad425cdc3b17146a73e10a849
title: DELETE /sms/v1/keyword/{keyword}/{shortCode}/{countryCode}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteKeywordViaKeywordShortCodeCountryCode.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/deleteKeywordViaKeywordShortCodeCountryCode.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a446c090dc96b2dd8f0affff8c9fd53f037b7445f723f459d50496ab2cb19b80
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /sms/v1/keyword/{keyword}/{shortCode}/{countryCode}

## Overview

Deletes a keyword on an account given a keyword, short code, and country code.

### JSON Parameters

<!--complex table-->

| Name            | Type   |     | Description                                                                   |
| --------------- | ------ | --- | ----------------------------------------------------------------------------- |
| **keyword**     | string |     | The keyword that will be deleted                                              |
| **shortCode**   | string |     | The short code of the keyword that will be deleted                            |
| **countryCode** | string |     | The two letter country code specifying the country that short code belongs to |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /sms/v1/keyword
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "ShortCode": "89239",
    "Keyword": "TEST",
    "CountryCode": "US"
}
```

**Example Response**

```js
HTTP/1.1 202 Accepted
{
    "Status": "SUCCESS Keyword with id alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow was successfully delete."
}
```
